summaryrefslogtreecommitdiffstats
path: root/installerbuilder
diff options
context:
space:
mode:
Diffstat (limited to 'installerbuilder')
-rw-r--r--installerbuilder/BatchSubstitute.bat20
-rw-r--r--installerbuilder/auto_installations_script.qs77
-rw-r--r--installerbuilder/create-test-installer.bat70
-rw-r--r--installerbuilder/create-test-installer.sh1
-rw-r--r--installerbuilder/installerbuilder.pro12
-rw-r--r--installerbuilder/tests/environmentvariable/environmentvariable.pro20
-rw-r--r--installerbuilder/tests/environmentvariable/environmentvariabletest.cpp101
-rw-r--r--installerbuilder/tests/environmentvariable/environmentvariabletest.h52
-rw-r--r--installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.cpp168
-rw-r--r--installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.h57
-rw-r--r--installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.pro20
-rw-r--r--installerbuilder/tests/test-noarchive.7z190
-rw-r--r--installerbuilder/tests/test1.7zbin282 -> 0 bytes
-rw-r--r--installerbuilder/tests/test2.7zbin629 -> 0 bytes
-rw-r--r--installerbuilder/tests/tests.pro11
15 files changed, 2 insertions, 797 deletions
diff --git a/installerbuilder/BatchSubstitute.bat b/installerbuilder/BatchSubstitute.bat
deleted file mode 100644
index 99bffdcb0..000000000
--- a/installerbuilder/BatchSubstitute.bat
+++ /dev/null
@@ -1,20 +0,0 @@
-@echo off
-REM -- Prepare the Command Processor --
-SETLOCAL ENABLEEXTENSIONS
-SETLOCAL DISABLEDELAYEDEXPANSION
-
-::BatchSubstitude - parses a File line by line and replaces a substring"
-::syntax: BatchSubstitude.bat OldStr NewStr File
-:: OldStr [in] - string to be replaced
-:: NewStr [in] - string to replace with
-:: File [in] - file to be parsed
-:$changed 20100115
-:$source http://www.dostips.com
-if "%~1"=="" findstr "^::" "%~f0"&GOTO:EOF
-for /f "tokens=1,* delims=]" %%A in ('"type %3|find /n /v """') do (
- set "line=%%B"
- if defined line (
- call set "line=echo.%%line:%~1=%~2%%"
- for /f "delims=" %%X in ('"echo."%%line%%""') do %%~X
- ) ELSE echo.
-)
diff --git a/installerbuilder/auto_installations_script.qs b/installerbuilder/auto_installations_script.qs
deleted file mode 100644
index 35960c3b5..000000000
--- a/installerbuilder/auto_installations_script.qs
+++ /dev/null
@@ -1,77 +0,0 @@
-var installerTargetDirectory="c:\\auto-test-installation";
-
-function Controller()
-{
- installer.autoRejectMessageBoxes;
- installer.setMessageBoxAutomaticAnswer( "OverwriteTargetDirectory", QMessageBox.Yes);
- //maybe we want something like this
- //installer.execute("D:\\cleanup_directory.bat", new Array(installerTargetDirectory));
- installer.setMessageBoxAutomaticAnswer( "stopProcessesForUpdates", QMessageBox.Ignore);
-}
-
-
-Controller.prototype.IntroductionPageCallback = function()
-{
- gui.clickButton(buttons.NextButton);
-}
-
-Controller.prototype.TargetDirectoryPageCallback = function()
-{
- var page = gui.pageWidgetByObjectName("TargetDirectoryPage");
- page.TargetDirectoryLineEdit.setText(installerTargetDirectory);
- gui.clickButton(buttons.NextButton);
-}
-
-Controller.prototype.ComponentSelectionPageCallback = function()
-{
- var page = gui.pageWidgetByObjectName("ComponentSelectionPage");
- gui.clickButton(buttons.NextButton);
-}
-
-Controller.prototype.LicenseAgreementPageCallback = function()
-{
- var page = gui.pageWidgetByObjectName("LicenseAgreementPage");
- page.AcceptLicenseRadioButton.setChecked( true);
- gui.clickButton(buttons.NextButton);
-}
-
-////in the current installer we don't have this
-//Controller.prototype.DynamicQtGuiPageCallback = function()
-//{
-// var page = gui.pageWidgetByObjectName("DynamicQtGuiPage");
-// page.checkBoxLib.setChecked( false);
-// gui.clickButton(buttons.NextButton);
-//}
-
-////in the current installer we don't have this
-//Controller.prototype.DynamicErrorPageCallback = function()
-//{
-// var page = gui.pageWidgetByObjectName("DynamicErrorPage");
-// page.checkBoxMakeSure.setChecked( true);
-// gui.clickButton(buttons.NextButton);
-//}
-
-Controller.prototype.StartMenuDirectoryPageCallback = function()
-{
- var page = gui.pageWidgetByObjectName("StartMenuDirectoryPage");
- //page.LineEdit.text = "test";
- gui.clickButton(buttons.NextButton);
-}
-
-Controller.prototype.ReadyForInstallationPageCallback = function()
-{
- gui.clickButton(buttons.NextButton);
-}
-
-
-Controller.prototype.PerformInstallationPageCallback = function()
-{
- var page = gui.pageWidgetByObjectName("PerformInstallationPage");
- gui.clickButton(buttons.NextButton);
-}
-
-Controller.prototype.FinishedPageCallback = function()
-{
- var page = gui.pageWidgetByObjectName("FinishedPage");
- gui.clickButton(buttons.FinishButton);
-}
diff --git a/installerbuilder/create-test-installer.bat b/installerbuilder/create-test-installer.bat
deleted file mode 100644
index 146779997..000000000
--- a/installerbuilder/create-test-installer.bat
+++ /dev/null
@@ -1,70 +0,0 @@
-IF "%1" EQU "" (
- set OFFLINE_INSTALLER=true
- set ONLINE_INSTALLER=true
- set REPOGEN=true
- set TEST_ONLINE_INSTALLER=false
- set TEST_OFFLINE_INSTALLER=false
-) else (
- set OFFLINE_INSTALLER=false
- set ONLINE_INSTALLER=false
- set REPOGEN=false
- set TEST_ONLINE_INSTALLER=false
- set TEST_OFFLINE_INSTALLER=false
-)
-
-for %%i in (%1,%2,%3,%4,%5,%6,%7,%8,%9) DO (
- IF "%%i" EQU "offline" (
- set OFFLINE_INSTALLER=true
- )
- IF "%%i" EQU "online" (
- set ONLINE_INSTALLER=true
- )
- IF "%%i" EQU "repogen" (
- set REPOGEN=true
- )
- IF "%%i" EQU "test_online" (
- set TEST_ONLINE_INSTALLER=true
- )
- IF "%%i" EQU "test_offline" (
- set TEST_OFFLINE_INSTALLER=true
- )
-)
-
-set AUTO_INSTALLATION_SCRIPT=--script %CD%\auto_installations_script.qs
-
-set LOCAL_REPOSITORY_PATH=file:///%CD%\bin\repository
-set LOCAL_REPOSITORY_PATH=%LOCAL_REPOSITORY_PATH:\=/%
-
-call BatchSubstitute.bat http://www.xxxx.com/repository %LOCAL_REPOSITORY_PATH% ..\examples\testapp\config\config.xml > ..\examples\testapp\config\config.xml_new
-
-copy /Y ..\examples\testapp\config\config.xml ..\examples\testapp\config\config.xml_old
-move /Y ..\examples\testapp\config\config.xml_new ..\examples\testapp\config\config.xml
-
-IF "%OFFLINE_INSTALLER%" EQU "true" (
- echo create offline installer
- bin\binarycreator -t bin\installerbase.exe -v -p ..\examples\testapp\packages -c ..\examples\testapp\config --offline-only bin\test-installer-offline.exe com.nokia.testapp
- IF errorlevel 1 pause ELSE echo ...done
-)
-
-IF "%ONLINE_INSTALLER%" EQU "true" (
- echo create online installer
- bin\binarycreator -t bin\installerbase.exe -v -n -p ..\examples\testapp\packages -c ..\examples\testapp\config bin\test-installer-online.exe com.nokia.testapp
- IF errorlevel 1 pause ELSE echo ...done
-)
-
-IF "%REPOGEN%" EQU "true" (
- echo create online repository
- IF exist bin\repository rmdir /S /Q bin\repository
- bin\repogen.exe -p ..\examples\testapp\packages -c ..\examples\testapp\config bin\repository com.nokia.testapp
- IF errorlevel 1 pause ELSE echo ...done
-)
-
-IF "%TEST_OFFLINE_INSTALLER%" EQU "true" (
- bin\test-installer-offline.exe --verbose %AUTO_INSTALLATION_SCRIPT%
-)
-
-IF "%TEST_ONLINE_INSTALLER%" EQU "true" (
- bin\test-installer-online.exe --verbose %AUTO_INSTALLATION_SCRIPT%
-)
-
-copy /Y ..\examples\testapp\config\config.xml_old ..\examples\testapp\config\config.xml
diff --git a/installerbuilder/create-test-installer.sh b/installerbuilder/create-test-installer.sh
deleted file mode 100644
index abf25b63d..000000000
--- a/installerbuilder/create-test-installer.sh
+++ /dev/null
@@ -1 +0,0 @@
-./bin/binarycreator -t bin/installerbase -v -p ../examples/testapp/packages -c ../examples/testapp/config test-installer --offline-only com.nokia.testapp
diff --git a/installerbuilder/installerbuilder.pro b/installerbuilder/installerbuilder.pro
index c1621c68d..c057eb265 100644
--- a/installerbuilder/installerbuilder.pro
+++ b/installerbuilder/installerbuilder.pro
@@ -1,12 +1,4 @@
TEMPLATE = subdirs
CONFIG += ordered
-SUBDIRS += libinstaller installerbase binarycreator repogen archivegen tests
-
-test.commands=(cd tests && $(MAKE) test)
-
-test.target=test
-test.depends = $(TARGET)
-QMAKE_EXTRA_TARGETS += test
-
-TRANSLATIONS += installerbase/translations/de_de.ts \
- installerbase/translations/en_us.ts
+SUBDIRS += libinstaller installerbase binarycreator repogen archivegen
+TRANSLATIONS += installerbase/translations/de_de.ts installerbase/translations/en_us.ts
diff --git a/installerbuilder/tests/environmentvariable/environmentvariable.pro b/installerbuilder/tests/environmentvariable/environmentvariable.pro
deleted file mode 100644
index 704cf8ff6..000000000
--- a/installerbuilder/tests/environmentvariable/environmentvariable.pro
+++ /dev/null
@@ -1,20 +0,0 @@
-TEMPLATE = app
-TARGET = tst_environmentvariable
-
-DESTDIR = bin
-
-CONFIG -= app_bundle
-
-QT += testlib script
-QT -= gui
-
-INCLUDEPATH += ../../libinstaller ..
-DEPENDPATH += ../../libinstaller ../../common
-
-include(../../libinstaller/libinstaller.pri)
-
-SOURCES = environmentvariabletest.cpp
-HEADERS = environmentvariabletest.h
-
-win32:LIBS += ole32.lib oleaut32.lib user32.lib
-win32:OBJECTS_DIR = .obj
diff --git a/installerbuilder/tests/environmentvariable/environmentvariabletest.cpp b/installerbuilder/tests/environmentvariable/environmentvariabletest.cpp
deleted file mode 100644
index b3088cfb2..000000000
--- a/installerbuilder/tests/environmentvariable/environmentvariabletest.cpp
+++ /dev/null
@@ -1,101 +0,0 @@
-/**************************************************************************
-**
-** This file is part of Installer Framework
-**
-** Copyright (c) 2011-2012 Nokia Corporation and/or its subsidiary(-ies).
-**
-** Contact: Nokia Corporation (qt-info@nokia.com)
-**
-**
-** GNU Lesser General Public License Usage
-**
-** This file may be used under the terms of the GNU Lesser General Public
-** License version 2.1 as published by the Free Software Foundation and
-** appearing in the file LICENSE.LGPL included in the packaging of this file.
-** Please review the following information to ensure the GNU Lesser General
-** Public License version 2.1 requirements will be met:
-** http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-**
-** In addition, as a special exception, Nokia gives you certain additional
-** rights. These rights are described in the Nokia Qt LGPL Exception
-** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-**
-** Other Usage
-**
-** Alternatively, this file may be used in accordance with the terms and
-** conditions contained in a signed written agreement between you and Nokia.
-**
-** If you have questions regarding the use of this file, please contact
-** Nokia at qt-info@nokia.com.
-**
-**************************************************************************/
-
-#include "environmentvariabletest.h"
-#include "environmentvariablesoperation.h"
-
-#include "init.h"
-
-#include <kdupdaterapplication.h>
-
-#include <QDir>
-#include <QDirIterator>
-#include <QFileInfo>
-#include <QStack>
-#include <QSettings>
-
-EnvironmentVariableTest::EnvironmentVariableTest()
-{
- QInstaller::init();
-}
-
-void EnvironmentVariableTest::testPersistentNonSystem()
-{
-#ifndef Q_OS_WIN
- QSKIP("This operation only works on Windows",SkipSingle);
-#endif
- KDUpdater::Application app;
- QString key = QLatin1String("IFW_TestKey");
- QString value = QLatin1String("IFW_TestValue");
- QInstaller::EnvironmentVariableOperation op;
- op.setArguments( QStringList() << key
- << value
- << QLatin1String("true")
- << QLatin1String("false"));
- const bool ok = op.performOperation();
-
- QVERIFY2(ok, qPrintable(op.errorString()));
-
- // Verify now...
- QSettings settings("HKEY_CURRENT_USER\\Environment", QSettings::NativeFormat);
- QVERIFY(value == settings.value(key).toString());
-
- // Remove the setting
- QEXPECT_FAIL("", "Undo Operation not implemented yet", Continue);
- QVERIFY(op.undoOperation());
-
- //QVERIFY(settings.value(key).toString().isEmpty());
- settings.remove(key);
-}
-
-void EnvironmentVariableTest::testNonPersistentNonSystem()
-{
-#ifndef Q_OS_WIN
- QSKIP("This operation only works on Windows",SkipSingle);
-#endif
- KDUpdater::Application app;
- QString key = QLatin1String("IFW_TestKey");
- QString value = QLatin1String("IFW_TestValue");
- QInstaller::EnvironmentVariableOperation op;
- op.setArguments( QStringList() << key
- << value
- << QLatin1String("false")
- << QLatin1String("false"));
- const bool ok = op.performOperation();
-
- QVERIFY2(ok, qPrintable(op.errorString()));
-
- QString comp = qgetenv(qPrintable(key));
- QCOMPARE(value, comp);
-}
-
-QTEST_MAIN(EnvironmentVariableTest)
diff --git a/installerbuilder/tests/environmentvariable/environmentvariabletest.h b/installerbuilder/tests/environmentvariable/environmentvariabletest.h
deleted file mode 100644
index 1a9fb5e45..000000000
--- a/installerbuilder/tests/environmentvariable/environmentvariabletest.h
+++ /dev/null
@@ -1,52 +0,0 @@
-/**************************************************************************
-**
-** This file is part of Installer Framework
-**
-** Copyright (c) 2010-2012 Nokia Corporation and/or its subsidiary(-ies).
-**
-** Contact: Nokia Corporation (qt-info@nokia.com)
-**
-**
-** GNU Lesser General Public License Usage
-**
-** This file may be used under the terms of the GNU Lesser General Public
-** License version 2.1 as published by the Free Software Foundation and
-** appearing in the file LICENSE.LGPL included in the packaging of this file.
-** Please review the following information to ensure the GNU Lesser General
-** Public License version 2.1 requirements will be met:
-** http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-**
-** In addition, as a special exception, Nokia gives you certain additional
-** rights. These rights are described in the Nokia Qt LGPL Exception
-** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-**
-** Other Usage
-**
-** Alternatively, this file may be used in accordance with the terms and
-** conditions contained in a signed written agreement between you and Nokia.
-**
-** If you have questions regarding the use of this file, please contact
-** Nokia at qt-info@nokia.com.
-**
-**************************************************************************/
-
-#ifndef EXTRACTIONARCHIVEOPERATIONTEST_H
-#define EXTRACTIONARCHIVEOPERATIONTEST_H
-
-#include <QObject>
-
-#include <QtTest/QtTest>
-
-class EnvironmentVariableTest : public QObject
-{
- Q_OBJECT
-
-public:
- EnvironmentVariableTest();
-
-private Q_SLOTS:
- void testPersistentNonSystem();
- void testNonPersistentNonSystem();
-};
-
-#endif // EXTRACTARCHIVEOPERATIONTEST_H
diff --git a/installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.cpp b/installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.cpp
deleted file mode 100644
index e898f919b..000000000
--- a/installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.cpp
+++ /dev/null
@@ -1,168 +0,0 @@
-/**************************************************************************
-**
-** This file is part of Installer Framework
-**
-** Copyright (c) 2011-2012 Nokia Corporation and/or its subsidiary(-ies).
-**
-** Contact: Nokia Corporation (qt-info@nokia.com)
-**
-**
-** GNU Lesser General Public License Usage
-**
-** This file may be used under the terms of the GNU Lesser General Public
-** License version 2.1 as published by the Free Software Foundation and
-** appearing in the file LICENSE.LGPL included in the packaging of this file.
-** Please review the following information to ensure the GNU Lesser General
-** Public License version 2.1 requirements will be met:
-** http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-**
-** In addition, as a special exception, Nokia gives you certain additional
-** rights. These rights are described in the Nokia Qt LGPL Exception
-** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-**
-** Other Usage
-**
-** Alternatively, this file may be used in accordance with the terms and
-** conditions contained in a signed written agreement between you and Nokia.
-**
-** If you have questions regarding the use of this file, please contact
-** Nokia at qt-info@nokia.com.
-**
-**************************************************************************/
-
-#include "extractarchiveoperationtest.h"
-#include "extractarchiveoperation.h"
-
-#include "init.h"
-
-#include <kdupdaterapplication.h>
-
-#include <QDir>
-#include <QDirIterator>
-#include <QFileInfo>
-#include <QStack>
-
-ExtractArchiveOperationTest::ExtractArchiveOperationTest()
-{
- QInstaller::init();
-}
-
-void ExtractArchiveOperationTest::init(const QString &outdir)
-{
- if (QDir(outdir).exists()) {
- QFAIL("output directory already exists!");
- QVERIFY(false);
- }
- QDir cd(QDir::current());
- QVERIFY(cd.mkdir(outdir));
-}
-
-static bool recursiveRemove(const QString &path, QString *errorMsg)
-{
- if (errorMsg)
- errorMsg->clear();
- if (!QFileInfo(path).exists())
- return true;
- bool error = false;
- QString msg;
- //first, delete all non-dir files
- QDirIterator it(path, QDirIterator::Subdirectories);
- while (it.hasNext()) {
- const QString n = it.next();
- if (!QFileInfo(n).isDir()) {
- QFile file(n);
- if (!file.remove()) {
- error = true;
- msg = file.errorString();
- }
- }
- }
-
- QStack<QString> dirs;
- QDirIterator it2(path, QDirIterator::Subdirectories);
- while (it2.hasNext()) {
- const QString n = it2.next();
- if (!n.endsWith(QLatin1String( "/." ) ) && !n.endsWith( QLatin1String( "/.." )))
- dirs.push(n);
- }
- while (!dirs.isEmpty()) {
- const QString n = dirs.top();
- dirs.pop();
- if (!QDir(n).rmdir(QDir::currentPath() + QLatin1String("/") + n)) {
- error = true;
- msg = QObject::tr("Could not remove folder %1").arg(n);
- qDebug() << msg;
- }
- }
-
- if (!QDir(path).rmdir(QDir::currentPath() + QLatin1String("/") + path)) {
- error = true;
- msg = QObject::tr("Could not remove folder %1: Unknown error").arg(path);
- }
-
- if (errorMsg)
- *errorMsg = msg;
- return !error;
-}
-
-void ExtractArchiveOperationTest::cleanup(const QString &dir)
-{
- QDir d(dir);
- QString msg;
- const bool removed = recursiveRemove(dir, &msg);
- if (!removed)
- qCritical() << msg;
- QVERIFY(removed);
-}
-
-void ExtractArchiveOperationTest::testExtraction()
-{
- const QString outdir = QLatin1String("test-extract-out" );
- init(outdir);
- KDUpdater::Application app;
- QInstaller::ExtractArchiveOperation op;
- op.setArguments(QStringList() << QLatin1String("qt-bin-test.7z") << outdir);
- const bool ok = op.performOperation();
- if (!ok) {
- qCritical() << "Extraction failed:" << op.errorString();
- QFAIL("Extraction failed");
- }
- cleanup(outdir);
-}
-
-void ExtractArchiveOperationTest::testExtractionErrors()
-{
- const QString outdir = QLatin1String("test-extract-out");
- init(outdir);
- KDUpdater::Application app;
- QInstaller::ExtractArchiveOperation op;
- op.setArguments(QStringList() << QLatin1String("qt-bin-test.7z") << outdir);
- const bool ok = op.performOperation();
- if (!ok) {
- qCritical() << "Extraction failed:" << op.errorString();
- QFAIL("Extraction failed");
- }
- cleanup(outdir);
-
-}
-
-void ExtractArchiveOperationTest::testInvalidArchive()
-{
- const QString outdir = QLatin1String("test-extract-out");
- init(outdir);
- KDUpdater::Application app;
- QInstaller::ExtractArchiveOperation op;
- op.setArguments(QStringList() << QLatin1String("test-noarchive.7z") << outdir);
- const bool ok = op.performOperation();
- if (ok) {
- qCritical() << "ExtractArchiveOperation does not report error on extracting invalid archive";
- QFAIL("Extraction failed");
- }
- QVERIFY(op.error() != QInstaller::ExtractArchiveOperation::NoError);
- const QString str = op.errorString();
- qDebug() << str;
- QVERIFY(!str.isEmpty());
- cleanup(outdir);
-}
-
-QTEST_MAIN(ExtractArchiveOperationTest)
diff --git a/installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.h b/installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.h
deleted file mode 100644
index 5ace60e70..000000000
--- a/installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.h
+++ /dev/null
@@ -1,57 +0,0 @@
-/**************************************************************************
-**
-** This file is part of Installer Framework
-**
-** Copyright (c) 2010-2012 Nokia Corporation and/or its subsidiary(-ies).
-**
-** Contact: Nokia Corporation (qt-info@nokia.com)
-**
-**
-** GNU Lesser General Public License Usage
-**
-** This file may be used under the terms of the GNU Lesser General Public
-** License version 2.1 as published by the Free Software Foundation and
-** appearing in the file LICENSE.LGPL included in the packaging of this file.
-** Please review the following information to ensure the GNU Lesser General
-** Public License version 2.1 requirements will be met:
-** http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-**
-** In addition, as a special exception, Nokia gives you certain additional
-** rights. These rights are described in the Nokia Qt LGPL Exception
-** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-**
-** Other Usage
-**
-** Alternatively, this file may be used in accordance with the terms and
-** conditions contained in a signed written agreement between you and Nokia.
-**
-** If you have questions regarding the use of this file, please contact
-** Nokia at qt-info@nokia.com.
-**
-**************************************************************************/
-
-#ifndef EXTRACTIONARCHIVEOPERATIONTEST_H
-#define EXTRACTIONARCHIVEOPERATIONTEST_H
-
-#include <QObject>
-
-#include <QtTest/QtTest>
-
-class ExtractArchiveOperationTest : public QObject
-{
- Q_OBJECT
-
-public:
- ExtractArchiveOperationTest();
-
-private Q_SLOTS:
- void testExtraction();
- void testInvalidArchive();
- void testExtractionErrors();
-
-private:
- void init(const QString &);
- void cleanup(const QString &);
-};
-
-#endif // EXTRACTARCHIVEOPERATIONTEST_H
diff --git a/installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.pro b/installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.pro
deleted file mode 100644
index 11ccc3474..000000000
--- a/installerbuilder/tests/extractarchiveoperationtest/extractarchiveoperationtest.pro
+++ /dev/null
@@ -1,20 +0,0 @@
-TEMPLATE = app
-TARGET = extractarchiveoperationtest
-
-DESTDIR = bin
-
-CONFIG -= app_bundle
-
-QT += testlib script
-QT -= gui
-
-INCLUDEPATH += ../../libinstaller ..
-DEPENDPATH += ../../libinstaller ../../common
-
-include(../../libinstaller/libinstaller.pri)
-
-SOURCES = extractarchiveoperationtest.cpp
-HEADERS = extractarchiveoperationtest.h
-
-win32:LIBS += ole32.lib oleaut32.lib user32.lib
-win32:OBJECTS_DIR = .obj
diff --git a/installerbuilder/tests/test-noarchive.7z b/installerbuilder/tests/test-noarchive.7z
deleted file mode 100644
index 963107aca..000000000
--- a/installerbuilder/tests/test-noarchive.7z
+++ /dev/null
@@ -1,190 +0,0 @@
-#!/bin/bash
-
-PRODUCT=SDKINSTALLER
-Product=SDKInstaller
-product=sdkinstaller
-
-VERSION=0.0.1
-
-default_prefix=/usr/local/KDAB/$Product-$VERSION
-
-hide_symbols=yes
-shared=yes
-debug=no
-release=yes
-prefix=
-unittests=no
-
-STATIC_BUILD_SUPPORTED=false
-
-function die {
- echo "$1" 1>&2
- exit 1
-}
-
-
-function usage {
- [ -z "$1" ] || echo "$0: unknown option \"$1\"" 1>&2
- echo "usage: $0 [options]" 1>&2
- cat <<EOF 1>&2
-where options include:
-
-EOF
-if [ "$INSTALLATION_SUPPORTED" = "true" ]; then
- cat <<EOF 1>&2
- -prefix <path>
- install $Product into <path>
-EOF
-fi
-cat <<EOF 1>&2
-
- -release / -debug
- build in debug/release mode
-EOF
-if [ "$STATIC_BUILD_SUPPORTED" = "true" ]; then
- cat <<EOF 1>&2
-
- -static / -shared
- build static/shared libraries
-EOF
-fi
-cat <<EOF 1>&2
-
- -[no-]hide-symbols (Unix only)
- reduce the number of exported symbols
-
- -[no-]unittests
- enable/disable compiled-in unittests
-
-EOF
- exit 1
-}
-
-if [ -z "$QTDIR" ] ; then
- QTDIR="$(qmake -query QT_INSTALL_PREFIX)"
- if [ $? -ne 0 ] ; then
- QTDIR=
- fi
-fi
-
-[ -z "$QTDIR" ] && die "You need QTDIR defined, or qmake in the PATH"
-
-while [ $# -ne 0 ] ; do
- case "$1" in
- -prefix)
- shift
- if [ $# -eq 0 ] ; then
- echo "-prefix needs an argument" 2>&1
- usage
- fi
- prefix="$1"
- ;;
- -no-hide-symbols)
- hide_symbols=no
- ;;
- -hide-symbols)
- hide_symbols=yes
- ;;
- -no-unittests)
- unittests=no
- ;;
- -unittests)
- unittests=yes
- ;;
- -shared)
- shared=yes
- ;;
- -static)
- if [ "$STATIC_BUILD_SUPPORTED" != "true" ]; then
- echo "Static build not supported, -static option not allowed" 2>&1
- usage
- fi
- shared=no
- ;;
- -debug)
- debug=yes
- release=no
- ;;
- -release)
- debug=no
- release=yes
- ;;
- *)
- usage "$1"
- ;;
- esac
- shift
-done
-
-find . -name debug -o -name release -o -name Makefile\* | xargs rm -rf
-
-if [ -f src/src.pro ] ; then
- rm -rf lib bin
-fi
-
-if [ -z "$prefix" ] ; then
- prefix="$default_prefix"
-fi
-
-echo -n > ".qmake.cache"
-(
- echo "CONFIG += ${product}_target"
-
-# The following disabled to make debug builds work again:
-# echo '!contains($$list($$[QT_VERSION]), 4.2.*):CONFIG += debug_and_release build_all'
-# [ "$debug" = "yes" ] && echo "else:CONFIG -=release += debug"
-# [ "$release" = "yes" ] && echo "else:CONFIG -=debug += release"
-
- if [ "$debug" = "yes" ]; then
- echo "CONFIG -= release"
- echo "CONFIG += debug"
- echo "CONFIG -= debug_and_release"
- fi
-
- if [ "$release" = "yes" ]; then
- echo "CONFIG += release"
- echo "CONFIG -= debug"
- echo "CONFIG -= debug_and_release"
- fi
-
- [ "$hide_symbols" = "yes" ] && echo "CONFIG += hide_symbols"
- [ "$unittests" = "yes" ] && echo "CONFIG += unittests"
-
- if [ "$shared" = "yes" ]; then
- echo "CONFIG -= static"
- echo "CONFIG -= staticlib"
- echo "CONFIG += shared"
- else
- echo "CONFIG += static"
- echo "CONFIG += staticlib"
- echo "CONFIG -= shared"
- fi
-
- if [ -d "$QTDIR/include/Qt/private" ] ; then
- echo "CONFIG += have_private_qt_headers"
- echo "INCLUDEPATH += $QTDIR/include/Qt/private"
- #else
- #echo "QTDIR must point to an installation that has private headers installed."
- #echo "Some features will not be available."
- fi
-echo "${PRODUCT}_INSTALL_PREFIX = $prefix"
-echo "${PRODUCT}_BASE = `pwd`"
-
-) >> ".qmake.cache"
-
-cat <<EOF 1>&2
-$Product v$VERSION configuration:
-
- Install Prefix.............: $prefix
- (default: $default_prefix)
- Debug......................: $debug (default: no)
- Release....................: $release (default: yes)
- Compiled-In Unit Tests.....: $unittests (default: no)
- Restricted symbol export
- (shared build only)......: $hide_symbols (default: yes)
-
-EOF
-
-$QTDIR/bin/qmake $product.pro -recursive "CONFIG+=pk7zip_library" || die "qmake failed"
-
-echo "Ok, now run make, then make install to install into $prefix"
diff --git a/installerbuilder/tests/test1.7z b/installerbuilder/tests/test1.7z
deleted file mode 100644
index 38a4c53ac..000000000
--- a/installerbuilder/tests/test1.7z
+++ /dev/null
Binary files differ
diff --git a/installerbuilder/tests/test2.7z b/installerbuilder/tests/test2.7z
deleted file mode 100644
index 99d199695..000000000
--- a/installerbuilder/tests/test2.7z
+++ /dev/null
Binary files differ
diff --git a/installerbuilder/tests/tests.pro b/installerbuilder/tests/tests.pro
deleted file mode 100644
index 4cb064c52..000000000
--- a/installerbuilder/tests/tests.pro
+++ /dev/null
@@ -1,11 +0,0 @@
-TEMPLATE=subdirs
-
-DESTDIR = bin
-SUBDIRS += extractarchiveoperationtest environmentvariable
-
-unix:test.commands=./bin/extractarchiveoperationtest
-win32:test.commands=bin\\extractarchiveoperationtest.exe
-
-test.target=test
-test.depends = $(TARGET)
-QMAKE_EXTRA_TARGETS += test